# BarcodeClassicScannerConfiguration class

Annotations
  - @JsonSerializable(createFactory: false, includeIfNull: false, explicitToJson: true)

## Constructors

BarcodeClassicScannerConfiguration({List<BarcodeFormat> barcodeFormats = const [], List<BarcodeDocumentFormat> acceptedDocumentFormats = const [], EngineMode? engineMode = EngineMode.NEXT_GEN, BarcodeAdditionalParameters? additionalParameters, BarcodeImageGenerationType barcodeImageGenerationType = BarcodeImageGenerationType.NONE})

## Properties

acceptedDocumentFormats ↔ List<BarcodeDocumentFormat>
  List of accepted Document Formats; any document formats that are not included in this list will be ignored by the `BarcodeCameraView`. By default, the list includes all supported document types.
  read / write
additionalParameters ↔ BarcodeAdditionalParameters?
  Additional parameters for tweaking the detection of barcodes.
  read / write
barcodeFormats ↔ List<BarcodeFormat>
  List of accepted Barcode Formats; any formats that are not included in this list will not be detected by the `BarcodeCameraView`. By default, the list includes all supported barcode types.
  read / write
barcodeImageGenerationType ↔ BarcodeImageGenerationType
  Param that handle whether we need to save image from camera preview or make a snapshot while snapping barcode image uri will be returned in BarcodeScanningResult.barcodeImageURI` property
  read / write
detectorType → DetectorType
  final
engineMode ↔ EngineMode?
  The engine mode of the barcode recognizer. Defaults to NEXT_GEN. To use legacy recognizer, please specify LEGACY
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited